This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 722368 - SELinux is preventing /usr/sbin/rpc.svcgssd from search access on the directory /proc/fs/nfsd
SELinux is preventing /usr/sbin/rpc.svcgssd from search access on the directo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-14 23:04 EDT by Anthony Messina
Modified: 2011-08-01 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.9.16-35.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-01 22:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2011-07-14 23:04:53 EDT
The updated version of nfs-utils in F15 needs additional access to support krb5 encryption type checking.  See bug #719776.


Raw Audit Messages
type=AVC msg=audit(1310698373.843:22213): avc:  denied  { search } for  pid=16305 comm="rpc.svcgssd" name="/" dev=nfsd ino=1 scontext=system_u:system_r:gssd_t:s0 tcontext=system_u:object_r:nfsd_fs_t:s0 tclass=dir


type=SYSCALL msg=audit(1310698373.843:22213): arch=x86_64 syscall=open success=no exit=ENOENT a0=7f73f325a920 a1=0 a2=1b6 a3=9 items=0 ppid=1 pid=16305 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rpc.svcgssd exe=/usr/sbin/rpc.svcgssd subj=system_u:system_r:gssd_t:s0 key=(null)

Hash: rpc.svcgssd,gssd_t,nfsd_fs_t,dir,search

audit2allow

#============= gssd_t ==============
allow gssd_t nfsd_fs_t:dir search;

audit2allow -R

#============= gssd_t ==============
allow gssd_t nfsd_fs_t:dir search;
Comment 1 Miroslav Grepl 2011-07-19 07:31:20 EDT
Fixed in selinux-policy-3.9.16-35.fc15
Comment 2 Fedora Update System 2011-07-21 02:01:51 EDT
selinux-policy-3.9.16-35.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-35.fc15
Comment 3 Fedora Update System 2011-07-22 21:55:05 EDT
Package selinux-policy-3.9.16-35.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-35.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-35.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-08-01 22:03:33 EDT
selinux-policy-3.9.16-35.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.